<html>
<head>
<title>OGRE: Ogre::Timer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Timer.html">Timer</a></div>
<h1>Ogre::Timer Class Reference</h1><!-- doxytag: class="Ogre::Timer" --><a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> class.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="GLX_2OgreTimerImp_8h-source.html">OgreTimerImp.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Timer-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#e9d0299693765d37b2f0b75c013755d2">Timer</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#f9fd02050970850875bd56114ea82fc3">~Timer</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#49f70a0179cae582b6837f023d57ffbe">setOption</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;strKey, const void *pValue)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>.  <a href="#49f70a0179cae582b6837f023d57ffbe"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#93b3cf0994bf9fdd32e2f52c43799bb3">reset</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Resets timer.  <a href="#93b3cf0994bf9fdd32e2f52c43799bb3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#bcbb2a56c8d2a928ce4470f6ad7fbff7">getMilliseconds</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset.  <a href="#bcbb2a56c8d2a928ce4470f6ad7fbff7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#98cd6171d89aa2474f743f7375a8d412">getMicroseconds</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns microseconds since initialisation or last reset.  <a href="#98cd6171d89aa2474f743f7375a8d412"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#5dec0b5b6ecf2058f67c8dfb64ced988">getMillisecondsCPU</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset, only CPU time measured.  <a href="#5dec0b5b6ecf2058f67c8dfb64ced988"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#5bf37f7326bf37a6b9a12722e758faa6">getMicrosecondsCPU</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns microseconds since initialisation or last reset, only CPU time measured.  <a href="#5bf37f7326bf37a6b9a12722e758faa6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#e9d0299693765d37b2f0b75c013755d2">Timer</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#f9fd02050970850875bd56114ea82fc3">~Timer</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#49f70a0179cae582b6837f023d57ffbe">setOption</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;strKey, const void *pValue)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>.  <a href="#49f70a0179cae582b6837f023d57ffbe"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#93b3cf0994bf9fdd32e2f52c43799bb3">reset</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Resets timer.  <a href="#93b3cf0994bf9fdd32e2f52c43799bb3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#bcbb2a56c8d2a928ce4470f6ad7fbff7">getMilliseconds</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset.  <a href="#bcbb2a56c8d2a928ce4470f6ad7fbff7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#98cd6171d89aa2474f743f7375a8d412">getMicroseconds</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns microseconds since initialisation or last reset.  <a href="#98cd6171d89aa2474f743f7375a8d412"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#5dec0b5b6ecf2058f67c8dfb64ced988">getMillisecondsCPU</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset, only CPU time measured.  <a href="#5dec0b5b6ecf2058f67c8dfb64ced988"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#5bf37f7326bf37a6b9a12722e758faa6">getMicrosecondsCPU</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns microseconds since initialisation or last reset, only CPU time measured.  <a href="#5bf37f7326bf37a6b9a12722e758faa6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#e9d0299693765d37b2f0b75c013755d2">Timer</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> constructor.  <a href="#e9d0299693765d37b2f0b75c013755d2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#f9fd02050970850875bd56114ea82fc3">~Timer</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#49f70a0179cae582b6837f023d57ffbe">setOption</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;strKey, const void *pValue)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>.  <a href="#49f70a0179cae582b6837f023d57ffbe"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#93b3cf0994bf9fdd32e2f52c43799bb3">reset</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Resets timer.  <a href="#93b3cf0994bf9fdd32e2f52c43799bb3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#bcbb2a56c8d2a928ce4470f6ad7fbff7">getMilliseconds</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset.  <a href="#bcbb2a56c8d2a928ce4470f6ad7fbff7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#98cd6171d89aa2474f743f7375a8d412">getMicroseconds</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns microseconds since initialisation or last reset.  <a href="#98cd6171d89aa2474f743f7375a8d412"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#5dec0b5b6ecf2058f67c8dfb64ced988">getMillisecondsCPU</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset, only CPU time measured.  <a href="#5dec0b5b6ecf2058f67c8dfb64ced988"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#5bf37f7326bf37a6b9a12722e758faa6">getMicrosecondsCPU</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns microseconds since initialisation or last reset, only CPU time measured.  <a href="#5bf37f7326bf37a6b9a12722e758faa6"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct timeval&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#8001c51c6e71cb7a0f4f1f923f50067b">start</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">clock_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#730b49c13bc36f38225190c1a4bc6cb0">zeroClock</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">clock_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#0cc8c11464f2fc729c5028b2359d5a21">mZeroClock</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">DWORD&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#9b098eabbe9029b10f71e19a56201a19">mStartTick</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">LONGLONG&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#8372e3ea912095bfce04d29b3e7de900">mLastTime</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">LARGE_INTEGER&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#b1c3bbde68d6dfea57f72a0aabb8f924">mStartTime</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">LARGE_INTEGER&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#e900afa2fcf8c8ce3f0f423d97bb91be">mFrequency</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">DWORD&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#ac6a4e36509a1bb0c25f3b45b98dc1e2">mTimerMask</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> class. 
<p>Definition at line <a class="el" href="GLX_2OgreTimerImp_8h-source.html#l00038">38</a> of file <a class="el" href="GLX_2OgreTimerImp_8h-source.html">GLX/OgreTimerImp.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="e9d0299693765d37b2f0b75c013755d2"></a><!-- doxytag: member="Ogre::Timer::Timer" ref="e9d0299693765d37b2f0b75c013755d2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Timer::Timer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="f9fd02050970850875bd56114ea82fc3"></a><!-- doxytag: member="Ogre::Timer::~Timer" ref="f9fd02050970850875bd56114ea82fc3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Timer::~Timer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="e9d0299693765d37b2f0b75c013755d2"></a><!-- doxytag: member="Ogre::Timer::Timer" ref="e9d0299693765d37b2f0b75c013755d2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Timer::Timer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="f9fd02050970850875bd56114ea82fc3"></a><!-- doxytag: member="Ogre::Timer::~Timer" ref="f9fd02050970850875bd56114ea82fc3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Timer::~Timer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="e9d0299693765d37b2f0b75c013755d2"></a><!-- doxytag: member="Ogre::Timer::Timer" ref="e9d0299693765d37b2f0b75c013755d2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Timer::Timer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> constructor. 
<p>
MUST be called on same thread that calls <a class="el" href="classOgre_1_1Timer.html#bcbb2a56c8d2a928ce4470f6ad7fbff7" title="Returns milliseconds since initialisation or last reset.">getMilliseconds()</a> 
</div>
</div><p>
<a class="anchor" name="f9fd02050970850875bd56114ea82fc3"></a><!-- doxytag: member="Ogre::Timer::~Timer" ref="f9fd02050970850875bd56114ea82fc3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Timer::~Timer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="49f70a0179cae582b6837f023d57ffbe"></a><!-- doxytag: member="Ogre::Timer::setOption" ref="49f70a0179cae582b6837f023d57ffbe" args="(const String &amp;strKey, const void *pValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Timer::setOption           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>strKey</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&nbsp;</td>
          <td class="paramname"> <em>pValue</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>. 
<p>
These options are usually specific for a certain implementation of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> class, and may (and probably will) not exist across different implementations. <a class="el" href="classOgre_1_1Timer.html#93b3cf0994bf9fdd32e2f52c43799bb3" title="Resets timer.">reset()</a> must be called after all <a class="el" href="classOgre_1_1Timer.html#49f70a0179cae582b6837f023d57ffbe" title="Method for setting a specific option of the Timer.">setOption()</a> calls. <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>strKey</em>&nbsp;</td><td>The name of the option to set </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pValue</em>&nbsp;</td><td>A pointer to the value - the size should be calculated by the timer based on the key </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>On success, true is returned. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>On failure, false is returned. </dd></dl>

<p>Definition at line <a class="el" href="GLX_2OgreTimerImp_8h-source.html#l00061">61</a> of file <a class="el" href="GLX_2OgreTimerImp_8h-source.html">GLX/OgreTimerImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="93b3cf0994bf9fdd32e2f52c43799bb3"></a><!-- doxytag: member="Ogre::Timer::reset" ref="93b3cf0994bf9fdd32e2f52c43799bb3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Timer::reset           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resets timer. 
<p>

</div>
</div><p>
<a class="anchor" name="bcbb2a56c8d2a928ce4470f6ad7fbff7"></a><!-- doxytag: member="Ogre::Timer::getMilliseconds" ref="bcbb2a56c8d2a928ce4470f6ad7fbff7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Ogre::Timer::getMilliseconds           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns milliseconds since initialisation or last reset. 
<p>

</div>
</div><p>
<a class="anchor" name="98cd6171d89aa2474f743f7375a8d412"></a><!-- doxytag: member="Ogre::Timer::getMicroseconds" ref="98cd6171d89aa2474f743f7375a8d412" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Ogre::Timer::getMicroseconds           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns microseconds since initialisation or last reset. 
<p>

</div>
</div><p>
<a class="anchor" name="5dec0b5b6ecf2058f67c8dfb64ced988"></a><!-- doxytag: member="Ogre::Timer::getMillisecondsCPU" ref="5dec0b5b6ecf2058f67c8dfb64ced988" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Ogre::Timer::getMillisecondsCPU           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns milliseconds since initialisation or last reset, only CPU time measured. 
<p>

</div>
</div><p>
<a class="anchor" name="5bf37f7326bf37a6b9a12722e758faa6"></a><!-- doxytag: member="Ogre::Timer::getMicrosecondsCPU" ref="5bf37f7326bf37a6b9a12722e758faa6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Ogre::Timer::getMicrosecondsCPU           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns microseconds since initialisation or last reset, only CPU time measured. 
<p>

</div>
</div><p>
<a class="anchor" name="49f70a0179cae582b6837f023d57ffbe"></a><!-- doxytag: member="Ogre::Timer::setOption" ref="49f70a0179cae582b6837f023d57ffbe" args="(const String &amp;strKey, const void *pValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Timer::setOption           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>strKey</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&nbsp;</td>
          <td class="paramname"> <em>pValue</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>. 
<p>
These options are usually specific for a certain implementation of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> class, and may (and probably will) not exist across different implementations. <a class="el" href="classOgre_1_1Timer.html#93b3cf0994bf9fdd32e2f52c43799bb3" title="Resets timer.">reset()</a> must be called after all <a class="el" href="classOgre_1_1Timer.html#49f70a0179cae582b6837f023d57ffbe" title="Method for setting a specific option of the Timer.">setOption()</a> calls. <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>strKey</em>&nbsp;</td><td>The name of the option to set </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pValue</em>&nbsp;</td><td>A pointer to the value - the size should be calculated by the timer based on the key </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>On success, true is returned. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>On failure, false is returned. </dd></dl>

<p>Definition at line <a class="el" href="OSX_2OgreTimerImp_8h-source.html#l00061">61</a> of file <a class="el" href="OSX_2OgreTimerImp_8h-source.html">OSX/OgreTimerImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="93b3cf0994bf9fdd32e2f52c43799bb3"></a><!-- doxytag: member="Ogre::Timer::reset" ref="93b3cf0994bf9fdd32e2f52c43799bb3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Timer::reset           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resets timer. 
<p>

</div>
</div><p>
<a class="anchor" name="bcbb2a56c8d2a928ce4470f6ad7fbff7"></a><!-- doxytag: member="Ogre::Timer::getMilliseconds" ref="bcbb2a56c8d2a928ce4470f6ad7fbff7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Ogre::Timer::getMilliseconds           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns milliseconds since initialisation or last reset. 
<p>

</div>
</div><p>
<a class="anchor" name="98cd6171d89aa2474f743f7375a8d412"></a><!-- doxytag: member="Ogre::Timer::getMicroseconds" ref="98cd6171d89aa2474f743f7375a8d412" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Ogre::Timer::getMicroseconds           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns microseconds since initialisation or last reset. 
<p>

</div>
</div><p>
<a class="anchor" name="5dec0b5b6ecf2058f67c8dfb64ced988"></a><!-- doxytag: member="Ogre::Timer::getMillisecondsCPU" ref="5dec0b5b6ecf2058f67c8dfb64ced988" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Ogre::Timer::getMillisecondsCPU           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns milliseconds since initialisation or last reset, only CPU time measured. 
<p>

</div>
</div><p>
<a class="anchor" name="5bf37f7326bf37a6b9a12722e758faa6"></a><!-- doxytag: member="Ogre::Timer::getMicrosecondsCPU" ref="5bf37f7326bf37a6b9a12722e758faa6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Ogre::Timer::getMicrosecondsCPU           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns microseconds since initialisation or last reset, only CPU time measured. 
<p>

</div>
</div><p>
<a class="anchor" name="49f70a0179cae582b6837f023d57ffbe"></a><!-- doxytag: member="Ogre::Timer::setOption" ref="49f70a0179cae582b6837f023d57ffbe" args="(const String &amp;strKey, const void *pValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Timer::setOption           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>strKey</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&nbsp;</td>
          <td class="paramname"> <em>pValue</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>. 
<p>
These options are usually specific for a certain implementation of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> class, and may (and probably will) not exist across different implementations. <a class="el" href="classOgre_1_1Timer.html#93b3cf0994bf9fdd32e2f52c43799bb3" title="Resets timer.">reset()</a> must be called after all <a class="el" href="classOgre_1_1Timer.html#49f70a0179cae582b6837f023d57ffbe" title="Method for setting a specific option of the Timer.">setOption()</a> calls. <dl class="user" compact><dt><b></b></dt><dd>Current options supported are: <ul>
<li>
"QueryAffinityMask" (DWORD): Set the thread affinity mask to be used to check the timer. If 'reset' has been called already this mask should overlap with the process mask that was in force at that point, and should be a power of two (a single core).</li>
</ul>
</dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>strKey</em>&nbsp;</td><td>The name of the option to set </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pValue</em>&nbsp;</td><td>A pointer to the value - the size should be calculated by the timer based on the key </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>On success, true is returned. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>On failure, false is returned. </dd></dl>

</div>
</div><p>
<a class="anchor" name="93b3cf0994bf9fdd32e2f52c43799bb3"></a><!-- doxytag: member="Ogre::Timer::reset" ref="93b3cf0994bf9fdd32e2f52c43799bb3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Timer::reset           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resets timer. 
<p>

</div>
</div><p>
<a class="anchor" name="bcbb2a56c8d2a928ce4470f6ad7fbff7"></a><!-- doxytag: member="Ogre::Timer::getMilliseconds" ref="bcbb2a56c8d2a928ce4470f6ad7fbff7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Ogre::Timer::getMilliseconds           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns milliseconds since initialisation or last reset. 
<p>

</div>
</div><p>
<a class="anchor" name="98cd6171d89aa2474f743f7375a8d412"></a><!-- doxytag: member="Ogre::Timer::getMicroseconds" ref="98cd6171d89aa2474f743f7375a8d412" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Ogre::Timer::getMicroseconds           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns microseconds since initialisation or last reset. 
<p>

</div>
</div><p>
<a class="anchor" name="5dec0b5b6ecf2058f67c8dfb64ced988"></a><!-- doxytag: member="Ogre::Timer::getMillisecondsCPU" ref="5dec0b5b6ecf2058f67c8dfb64ced988" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Ogre::Timer::getMillisecondsCPU           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns milliseconds since initialisation or last reset, only CPU time measured. 
<p>

</div>
</div><p>
<a class="anchor" name="5bf37f7326bf37a6b9a12722e758faa6"></a><!-- doxytag: member="Ogre::Timer::getMicrosecondsCPU" ref="5bf37f7326bf37a6b9a12722e758faa6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Ogre::Timer::getMicrosecondsCPU           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns microseconds since initialisation or last reset, only CPU time measured. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="8001c51c6e71cb7a0f4f1f923f50067b"></a><!-- doxytag: member="Ogre::Timer::start" ref="8001c51c6e71cb7a0f4f1f923f50067b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct timeval <a class="el" href="classOgre_1_1Timer.html#8001c51c6e71cb7a0f4f1f923f50067b">Ogre::Timer::start</a><code> [read, private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="GLX_2OgreTimerImp_8h-source.html#l00041">41</a> of file <a class="el" href="GLX_2OgreTimerImp_8h-source.html">GLX/OgreTimerImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="730b49c13bc36f38225190c1a4bc6cb0"></a><!-- doxytag: member="Ogre::Timer::zeroClock" ref="730b49c13bc36f38225190c1a4bc6cb0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">clock_t <a class="el" href="classOgre_1_1Timer.html#730b49c13bc36f38225190c1a4bc6cb0">Ogre::Timer::zeroClock</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="GLX_2OgreTimerImp_8h-source.html#l00042">42</a> of file <a class="el" href="GLX_2OgreTimerImp_8h-source.html">GLX/OgreTimerImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0cc8c11464f2fc729c5028b2359d5a21"></a><!-- doxytag: member="Ogre::Timer::mZeroClock" ref="0cc8c11464f2fc729c5028b2359d5a21" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">clock_t <a class="el" href="classOgre_1_1Timer.html#0cc8c11464f2fc729c5028b2359d5a21">Ogre::Timer::mZeroClock</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="WIN32_2OgreTimerImp_8h-source.html#l00050">50</a> of file <a class="el" href="WIN32_2OgreTimerImp_8h-source.html">WIN32/OgreTimerImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9b098eabbe9029b10f71e19a56201a19"></a><!-- doxytag: member="Ogre::Timer::mStartTick" ref="9b098eabbe9029b10f71e19a56201a19" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DWORD <a class="el" href="classOgre_1_1Timer.html#9b098eabbe9029b10f71e19a56201a19">Ogre::Timer::mStartTick</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="WIN32_2OgreTimerImp_8h-source.html#l00052">52</a> of file <a class="el" href="WIN32_2OgreTimerImp_8h-source.html">WIN32/OgreTimerImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8372e3ea912095bfce04d29b3e7de900"></a><!-- doxytag: member="Ogre::Timer::mLastTime" ref="8372e3ea912095bfce04d29b3e7de900" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LONGLONG <a class="el" href="classOgre_1_1Timer.html#8372e3ea912095bfce04d29b3e7de900">Ogre::Timer::mLastTime</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="WIN32_2OgreTimerImp_8h-source.html#l00053">53</a> of file <a class="el" href="WIN32_2OgreTimerImp_8h-source.html">WIN32/OgreTimerImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b1c3bbde68d6dfea57f72a0aabb8f924"></a><!-- doxytag: member="Ogre::Timer::mStartTime" ref="b1c3bbde68d6dfea57f72a0aabb8f924" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LARGE_INTEGER <a class="el" href="classOgre_1_1Timer.html#b1c3bbde68d6dfea57f72a0aabb8f924">Ogre::Timer::mStartTime</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="WIN32_2OgreTimerImp_8h-source.html#l00054">54</a> of file <a class="el" href="WIN32_2OgreTimerImp_8h-source.html">WIN32/OgreTimerImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e900afa2fcf8c8ce3f0f423d97bb91be"></a><!-- doxytag: member="Ogre::Timer::mFrequency" ref="e900afa2fcf8c8ce3f0f423d97bb91be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LARGE_INTEGER <a class="el" href="classOgre_1_1Timer.html#e900afa2fcf8c8ce3f0f423d97bb91be">Ogre::Timer::mFrequency</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="WIN32_2OgreTimerImp_8h-source.html#l00055">55</a> of file <a class="el" href="WIN32_2OgreTimerImp_8h-source.html">WIN32/OgreTimerImp.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ac6a4e36509a1bb0c25f3b45b98dc1e2"></a><!-- doxytag: member="Ogre::Timer::mTimerMask" ref="ac6a4e36509a1bb0c25f3b45b98dc1e2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DWORD <a class="el" href="classOgre_1_1Timer.html#ac6a4e36509a1bb0c25f3b45b98dc1e2">Ogre::Timer::mTimerMask</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="WIN32_2OgreTimerImp_8h-source.html#l00057">57</a> of file <a class="el" href="WIN32_2OgreTimerImp_8h-source.html">WIN32/OgreTimerImp.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="GLX_2OgreTimerImp_8h-source.html">GLX/OgreTimerImp.h</a><li><a class="el" href="OSX_2OgreTimerImp_8h-source.html">OSX/OgreTimerImp.h</a><li><a class="el" href="WIN32_2OgreTimerImp_8h-source.html">WIN32/OgreTimerImp.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:05 2008
</p>
</body>
</html>
